package com.elab.marketing.auth.service.response.organize;

import java.util.Date;

/**用户的组织信息
 * @author liyx
 * @create 2019/11/8 15:08
 * @email liyx@elab-plus.com
 * @Description:
 **/
public class OrganizeInfoModel {

	/**
	 * 组织id
	 */
	private Integer organizeId;
	/**
	 * 组织用户id
	 */
	private Integer organizeUserId;
	/**
	 * 性别  0：女，1：男
	 */
	private Integer organizeUserSex;
	/**
	 * 组织用户姓名
	 */
	private String organizeUserName;
	/**
	 * 组织名称
	 */
	private String organizeName;

	/**
	 * 组织类别  1：案场顾问，2：分销经济人，3：代理公司，4：老业主，5自建渠道
	 */
	private Integer organizeType;
	/**
	 * 是否IM保护  0：关闭，1：组织保护，2：个人保护
	 */
	private Integer safeIm;
	/**
	 * 是否开启授权   0：否， 1：是
	 */
	private Integer openAuthorize;
	/**
	 * 是否自动报备：1：是  0：否
	 */
	private Integer autoRecord;
	/**
	 * 渠道码
	 */
	private String code;
	/**
	 * 是否开启裂变数据   0：否， 1：是
	 */
	private Integer openFission;

	/**
	 * 组织服务类型   1：渠道拓客，2：跟进客户
	 */
	private Integer serveType;
	/**
	 * 是否开启跟进保护期 0：否， 1：是
	 */
	private Integer openFollowProtectPeriod;
	/**
	 * 跟进保护期天数
	 */
	private Integer followProtectPeriod;
	/**
	 * 是否开启跟进结佣 0：否，1：是
	 */
	private Integer openFollowCommission;
	/**
	 * 跟进结佣条件 1：已签约，2：已结首付，3：已结全款
	 */
	private Integer followCommissionCondition;
	/**
	 * 是否开启报备保护期 0：否，1：是
	 */
	private Integer openRecordProtectPeriod;
	/**
	 * 报备保护期天数
	 */
	private Integer recordProtectPeriod;
	/**
	 * 是否开启防截客保护 0：否，1：是
	 */
	private Integer openInterceptProtectPeriod;
	/**
	 * 防截客保护期小时
	 */
	private Float interceptProtectPeriod;
	/**
	 * 是否开启拓客结佣条件 0：否，1：是
	 */
	private Integer openTokeCommission;
	/**
	 * 拓客结佣条件  1：已签约，2：已结首付，3：已结全款
	 */
	private Integer tokeCommissionCondition;
	/**
	 * 是否开启成交保护期   1：是  0：否
	 */
	private Integer openDealProtectionPeriod;
	/**
	 * 成交保护期
	 */
	private Integer dealProtectionPeriod;
	/**
	 * 继承逻辑  1：不继承，2：自动继承，3：手动继承，4：优先自动继承，提供手动选项
	 */
	private Integer inheritLogic;
	/**
	 * 是否开启手动报备  1：是，0：否
	 */
	private Integer manualRecord;
	/**
	 * 是否IM顾问  1：是，0：否
	 */
	private Integer imAdviser;
	/**
	 * 是否视频顾问 1：是，0：否
	 */
	private Integer videoAdviser;

	/**
	 * 组织领导人姓名（多个用逗号隔开）
	 */
	private String leaderName;

	private String photo;

	private String email;
	private String honor;

	/**
	 * 关系人开关  0：关闭，1：开启
	 */
	private Integer relatedPersonSwitch;
	private String remark;

	private Integer followService;

	private String organizeAvatarUrl;
	private Integer verificationRole;
	private Date verificationTime;
	private Long verificationId;
	
	private Integer organizeUserRlatId;
	
	private Integer organizeHouseRlatId;
	
	private Integer openTwiceReport;
	
	private Integer twiceReportCondition;
	
	private Integer twiceReportOverdueDays;
	
	private Integer canReport;

	public Integer getOrganizeId() {
		return organizeId;
	}

	public void setOrganizeId(Integer organizeId) {
		this.organizeId = organizeId;
	}

	public Integer getOrganizeUserId() {
		return organizeUserId;
	}

	public void setOrganizeUserId(Integer organizeUserId) {
		this.organizeUserId = organizeUserId;
	}

	public Integer getOrganizeUserSex() {
		return organizeUserSex;
	}

	public void setOrganizeUserSex(Integer organizeUserSex) {
		this.organizeUserSex = organizeUserSex;
	}

	public String getOrganizeUserName() {
		return organizeUserName;
	}

	public void setOrganizeUserName(String organizeUserName) {
		this.organizeUserName = organizeUserName;
	}

	public String getOrganizeName() {
		return organizeName;
	}

	public void setOrganizeName(String organizeName) {
		this.organizeName = organizeName;
	}

	public Integer getOrganizeType() {
		return organizeType;
	}

	public void setOrganizeType(Integer organizeType) {
		this.organizeType = organizeType;
	}

	public Integer getSafeIm() {
		return safeIm;
	}

	public void setSafeIm(Integer safeIm) {
		this.safeIm = safeIm;
	}

	public Integer getOpenAuthorize() {
		return openAuthorize;
	}

	public void setOpenAuthorize(Integer openAuthorize) {
		this.openAuthorize = openAuthorize;
	}

	public Integer getAutoRecord() {
		return autoRecord;
	}

	public void setAutoRecord(Integer autoRecord) {
		this.autoRecord = autoRecord;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Integer getOpenFission() {
		return openFission;
	}

	public void setOpenFission(Integer openFission) {
		this.openFission = openFission;
	}

	public Integer getServeType() {
		return serveType;
	}

	public void setServeType(Integer serveType) {
		this.serveType = serveType;
	}

	public Integer getOpenFollowProtectPeriod() {
		return openFollowProtectPeriod;
	}

	public void setOpenFollowProtectPeriod(Integer openFollowProtectPeriod) {
		this.openFollowProtectPeriod = openFollowProtectPeriod;
	}

	public Integer getFollowProtectPeriod() {
		return followProtectPeriod;
	}

	public void setFollowProtectPeriod(Integer followProtectPeriod) {
		this.followProtectPeriod = followProtectPeriod;
	}

	public Integer getOpenFollowCommission() {
		return openFollowCommission;
	}

	public void setOpenFollowCommission(Integer openFollowCommission) {
		this.openFollowCommission = openFollowCommission;
	}

	public Integer getFollowCommissionCondition() {
		return followCommissionCondition;
	}

	public void setFollowCommissionCondition(Integer followCommissionCondition) {
		this.followCommissionCondition = followCommissionCondition;
	}

	public Integer getOpenRecordProtectPeriod() {
		return openRecordProtectPeriod;
	}

	public void setOpenRecordProtectPeriod(Integer openRecordProtectPeriod) {
		this.openRecordProtectPeriod = openRecordProtectPeriod;
	}

	public Integer getRecordProtectPeriod() {
		return recordProtectPeriod;
	}

	public void setRecordProtectPeriod(Integer recordProtectPeriod) {
		this.recordProtectPeriod = recordProtectPeriod;
	}

	public Integer getOpenInterceptProtectPeriod() {
		return openInterceptProtectPeriod;
	}

	public void setOpenInterceptProtectPeriod(Integer openInterceptProtectPeriod) {
		this.openInterceptProtectPeriod = openInterceptProtectPeriod;
	}

	public Float getInterceptProtectPeriod() {
		return interceptProtectPeriod;
	}

	public void setInterceptProtectPeriod(Float interceptProtectPeriod) {
		this.interceptProtectPeriod = interceptProtectPeriod;
	}

	public Integer getOpenTokeCommission() {
		return openTokeCommission;
	}

	public void setOpenTokeCommission(Integer openTokeCommission) {
		this.openTokeCommission = openTokeCommission;
	}

	public Integer getTokeCommissionCondition() {
		return tokeCommissionCondition;
	}

	public void setTokeCommissionCondition(Integer tokeCommissionCondition) {
		this.tokeCommissionCondition = tokeCommissionCondition;
	}

	public Integer getOpenDealProtectionPeriod() {
		return openDealProtectionPeriod;
	}

	public void setOpenDealProtectionPeriod(Integer openDealProtectionPeriod) {
		this.openDealProtectionPeriod = openDealProtectionPeriod;
	}

	public Integer getDealProtectionPeriod() {
		return dealProtectionPeriod;
	}

	public void setDealProtectionPeriod(Integer dealProtectionPeriod) {
		this.dealProtectionPeriod = dealProtectionPeriod;
	}

	public Integer getInheritLogic() {
		return inheritLogic;
	}

	public void setInheritLogic(Integer inheritLogic) {
		this.inheritLogic = inheritLogic;
	}

	public Integer getManualRecord() {
		return manualRecord;
	}

	public void setManualRecord(Integer manualRecord) {
		this.manualRecord = manualRecord;
	}

	public Integer getImAdviser() {
		return imAdviser;
	}

	public void setImAdviser(Integer imAdviser) {
		this.imAdviser = imAdviser;
	}

	public Integer getVideoAdviser() {
		return videoAdviser;
	}

	public void setVideoAdviser(Integer videoAdviser) {
		this.videoAdviser = videoAdviser;
	}

	public String getLeaderName() {
		return leaderName;
	}

	public void setLeaderName(String leaderName) {
		this.leaderName = leaderName;
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getHonor() {
		return honor;
	}

	public void setHonor(String honor) {
		this.honor = honor;
	}

	public Integer getRelatedPersonSwitch() {
		return relatedPersonSwitch;
	}

	public void setRelatedPersonSwitch(Integer relatedPersonSwitch) {
		this.relatedPersonSwitch = relatedPersonSwitch;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getFollowService() {
		return followService;
	}

	public void setFollowService(Integer followService) {
		this.followService = followService;
	}

	public String getOrganizeAvatarUrl() {
		return organizeAvatarUrl;
	}

	public void setOrganizeAvatarUrl(String organizeAvatarUrl) {
		this.organizeAvatarUrl = organizeAvatarUrl;
	}

	public Integer getVerificationRole() {
		return verificationRole;
	}

	public void setVerificationRole(Integer verificationRole) {
		this.verificationRole = verificationRole;
	}

	public Date getVerificationTime() {
		return verificationTime;
	}

	public void setVerificationTime(Date verificationTime) {
		this.verificationTime = verificationTime;
	}

	public Long getVerificationId() {
		return verificationId;
	}

	public void setVerificationId(Long verificationId) {
		this.verificationId = verificationId;
	}

	public Integer getOrganizeUserRlatId() {
		return organizeUserRlatId;
	}

	public void setOrganizeUserRlatId(Integer organizeUserRlatId) {
		this.organizeUserRlatId = organizeUserRlatId;
	}

	public Integer getOrganizeHouseRlatId() {
		return organizeHouseRlatId;
	}

	public void setOrganizeHouseRlatId(Integer organizeHouseRlatId) {
		this.organizeHouseRlatId = organizeHouseRlatId;
	}

	public Integer getOpenTwiceReport() {
		return openTwiceReport;
	}

	public void setOpenTwiceReport(Integer openTwiceReport) {
		this.openTwiceReport = openTwiceReport;
	}

	public Integer getTwiceReportCondition() {
		return twiceReportCondition;
	}

	public void setTwiceReportCondition(Integer twiceReportCondition) {
		this.twiceReportCondition = twiceReportCondition;
	}

	public Integer getTwiceReportOverdueDays() {
		return twiceReportOverdueDays;
	}

	public void setTwiceReportOverdueDays(Integer twiceReportOverdueDays) {
		this.twiceReportOverdueDays = twiceReportOverdueDays;
	}

	public Integer getCanReport() {
		return canReport;
	}

	public void setCanReport(Integer canReport) {
		this.canReport = canReport;
	}
}
